Jump to content

  • You cannot start a new topic
  • You cannot reply to this topic

Help With Server And Shop Upgrade At The Same Time Rate Topic   - - - - -

 
  • E.Qi.Librium
  • Senior Member
  • Members
  • Join Date: 05-Sep 09
  • 448 posts

Posted 10 August 2016 - 10:57 AM #1

Hi,

 

I'm in a middle of a storm; I have an upgrade going on with ecomlabs, they should have done it today but, Yuri from ecomlabs says that as my server has MySQL Version 5.0.96-community and PHP 5.3.29 they cannot perform the update untill I upgrade the server. The thing is, my server is not upgradable, they say that is an old centos 5.11 and it's not possible to install PHP 7 on it.

 

So, I'm in a bit of a pikle here, I have to move to another server with PHP 7 in order to ecomlabs to agree in completing the already paid upgrade, but my current 2.0.6 shop will not run on it. I can't wrap my head around this, it's like the egg and the chicken ridle... How can they complete the upgrade if they cannot access my old shop on the upgraded server?

 

So, how can I possibly complete this upgrade, not only with minimum disruption but at all, I can't seem to find anyone willing to help me, must be because it's August... 

 

This will not only leave me with a huge downtime problem (according to ecomlabs they only do upgrades from monday to wednsday because they may need up to 2 days in worst case scenarios).

 

I have tried to hire with them a dedicated engineer but as it is August they are not offering me that chance, ecomlabs only work business hours and it excludes weekends. 

 

I will appreciate any ideas that you might have, I'm going on 36 hours no sleeping already and I'm out of ideas!

 

Thank you in advance,

Tania


4.3.9  


 
  • CS-Cart team
  • CS-Cart support team
  • Moderators
  • Join Date: 04-Apr 11
  • 3796 posts

Posted 10 August 2016 - 12:12 PM #2

Hi,

 

I'm in a middle of a storm; I have an upgrade going on with ecomlabs, they should have done it today but, Yuri from ecomlabs says that as my server has MySQL Version 5.0.96-community and PHP 5.3.29 they cannot perform the update untill I upgrade the server. The thing is, my server is not upgradable, they say that is an old centos 5.11 and it's not possible to install PHP 7 on it.

 

So, I'm in a bit of a pikle here, I have to move to another server with PHP 7 in order to ecomlabs to agree in completing the already paid upgrade, but my current 2.0.6 shop will not run on it. I can't wrap my head around this, it's like the egg and the chicken ridle... How can they complete the upgrade if they cannot access my old shop on the upgraded server?

 

So, how can I possibly complete this upgrade, not only with minimum disruption but at all, I can't seem to find anyone willing to help me, must be because it's August... 

 

This will not only leave me with a huge downtime problem (according to ecomlabs they only do upgrades from monday to wednsday because they may need up to 2 days in worst case scenarios).

 

I have tried to hire with them a dedicated engineer but as it is August they are not offering me that chance, ecomlabs only work business hours and it excludes weekends. 

 

I will appreciate any ideas that you might have, I'm going on 36 hours no sleeping already and I'm out of ideas!

 

Thank you in advance,

Tania

 

There is no need to upgrade to PHP7. Both versions 2.0.x and 4.3.x are compatible with PHP 5.3.6. You can update PHP to this version and proceed with the upgrade


Sincerely yours, CS-Cart Support Team

 

User guide       |  Developer documentation  |  Core API documentation


 
  • E.Qi.Librium
  • Senior Member
  • Members
  • Join Date: 05-Sep 09
  • 448 posts

Posted 10 August 2016 - 01:54 PM #3

Thank you, I will do first the upgrade of the software and latter on, like in a week or two, if everything goes well, I will change servers. Maybe it's safer this way.

4.3.9  


 
  • gleb.goncharov
  • CS-Cart Expert
  • Authorized Reseller
  • Join Date: 04-Oct 13
  • 351 posts

Posted 10 August 2016 - 05:28 PM #4

Thank you, I will do first the upgrade of the software and latter on, like in a week or two, if everything goes well, I will change servers. Maybe it's safer this way.

 

Hello, Tania. 

 

I'm head of operations department at Simtech Development Ltd.. My team would be glad to help you with setting up new server on CentOS 7 with PHP 7.0.x, MySQL 5.7.x, Apache 2.4.x and many other performance features to speed up your CS-Cart store.

 

Send us an email to sales@simtechdev.com or message to Skype (gongled) when you'll be ready to upgrade your server configuration. I would be happy to answer any questions you have.

 

I'll be waiting for your response.



 
  • eComLabs
  • CS-Cart Expert
  • Authorized Reseller
  • Join Date: 27-Jan 14
  • 18901 posts

Posted 11 August 2016 - 06:42 AM #5

Thank you, I will do first the upgrade of the software and latter on, like in a week or two, if everything goes well, I will change servers. Maybe it's safer this way.

 

Looks like there is a misunderstanding between you and Yuri. PHP version 7 is not required, but it is highly recommended for latest CS-Cart versions due to better performance

 

http://blog.cs-cart....00000-products/


GET A FREE QUOTE | CS-Cart Add-ons | CS-Cart Licenses | CS-Cart Development | CS-Cart Design | Server Configuration | UniTheme and YOUPI
CS-Cart                USD 345     Multi-Vendor              USD 1250    CS-Cart RU                         24500 руб.
CS-Cart Ultimate  USD 775     CS-Cart + YOUPI      USD 545      CS-Cart RU + UniTheme    36000 руб.


 
  • E.Qi.Librium
  • Senior Member
  • Members
  • Join Date: 05-Sep 09
  • 448 posts

Posted 11 August 2016 - 04:32 PM #6

Yes, the PHP is not the problem, MySQL is. Mine is a 4.0.98 and CSC 4.3.8 will not handle it, but I can't upgrade it either on this server with this PHP version, so I'm going to change servers instead.

This is the biggest headache I've had in years and I'm left deciding on such complicated matters (for me anyway) without having the necessary knowledge on how to coordinate things so that there is little or none disturbance on my live shop...

I've been thinking about changing hosting company as mine takes many many hours to reply, sometimes a whole day, but for now let's see how it goes with the upgraded shop on the new server.  :unsure:


4.3.9  


 
  • Mongoose
  • Senior Member
  • Members
  • Join Date: 08-Mar 13
  • 973 posts

Posted 12 August 2016 - 12:44 PM #7

Not sure if you already have a solution for your hosting issue but if you like I can setup for a hosting account on our dedicated box in Switzerland. I have more than enough capacity left.


CS Cart Evangelist - running CS Cart 4.7.4 in three domains


 
  • E.Qi.Librium
  • Senior Member
  • Members
  • Join Date: 05-Sep 09
  • 448 posts

Posted 12 August 2016 - 04:16 PM #8

Vidahost (the hosting company) just finished setting up my new server (3 days latter and not without some errors on the road), let me see how it goes the upgrading job with ecomlabs on Monday.

I think I have been left with trust issues after this one, when you guys say it's easy and hassle free to upgrade old CSC shops, that must be in a dream world, that or I've been very unlucky, one month after the decision was made to upgrade I still don't have it and I'm forseing much more issues during next week.


4.3.9  


 
  • Mongoose
  • Senior Member
  • Members
  • Join Date: 08-Mar 13
  • 973 posts

Posted 12 August 2016 - 06:16 PM #9

Well upgrading any store is not without flaws or issues. I come from a Coldfusion solution and changing to PHP was not a smooth ride either. Having that said I have not been dissappointed by the support of CS Cart themselves nor by the work done by eCom Labs or any of the other third party developers.  I have been dissappointed by many Dutch webhosts and their for we decided to do our hosting ourselves having full control over the dedicated box which is actually a Xen Server with a quad core processor and 64 Gig of DDR3 ECC memory to spare and large Samsung SSD's and a WD 3 TB backup drive. I host four virtual servers three of them Cpanel servers 10 Gig of memory and one Windows 2012 R2  V virtual server. If your hosting issues are not satisfactory resolved please feel free to contact me.


CS Cart Evangelist - running CS Cart 4.7.4 in three domains


 
  • E.Qi.Librium
  • Senior Member
  • Members
  • Join Date: 05-Sep 09
  • 448 posts

Posted 13 August 2016 - 11:09 AM #10

Exactly, the majority of my current problems are Host related, I will meditate on it, thank you for the suggestion.

About ecom labs I'm very happy with the tremendous work they did on the look and feel of the upgraded shop, it's just the same as my old, stil don't know how they managed it, it's kind of a miracle to me, my only complaint is that they took too long to do it, but as I said to them already, for a perfect job I'm willing to wait.


4.3.9